/*
 * Copyright (c) 2002-2005 TeamDev Ltd. All rights reserved.
 *
 * Use is subject to license terms.
 *
 * The complete licence text can be found at
 * http://www.jniwrapper.com/pages/winpack/license
 */
package com.teamdev.xpcom.mozilla.demo.components;

import java.awt.Dimension;

import javax.swing.JPanel;

public class LineBevel extends JPanel
{
    public LineBevel(int type)
    {
        init(type);
    }

    private void init(int type)
    {
        setBorder(new LineBorder(type));

        if (type == LineBorder.HORISONTAL) setPreferredSize(new Dimension(1, 2));
        else
            setPreferredSize(new Dimension(2, 1));
    }

    public LineBevel()
    {
        init(LineBorder.HORISONTAL);
    }
}
